<%-include('./shared/header.ejs',{active:'dashboard'})%>
<!-- ########## START: MAIN PANEL ########## -->
<div class="br-mainpanel">
  <div class="br-pageheader pd-y-15 pd-l-20">
    <nav class="breadcrumb pd-0 mg-0 tx-12">
      <a class="breadcrumb-item" href="/dashboard">Dashboard</a>
      <span class="breadcrumb-item active">Customer  Management</span>
    </nav>
  </div>

  <link rel="stylesheet"  href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.0.1/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.25/css/dataTables.bootstrap5.min.css">
  <!-- br-pageheader -->
  <div class="pd-x-20 pd-sm-x-30 pd-t-20 pd-sm-t-30">
    <h4 class="tx-gray-800 mg-b-5">Customer  Management</h4>
    <p class="mg-b-0">&nbsp;</p>
   
  </div>

<div class="row">

  <div class="col-sm-3">
    <button class="btn btn-success"><a href="/customer_email_notify_all" style="color:#f0f8ff;">Email Notification to  Set on <br>All Customer</a></button>
  </div>

  <div class="col-sm-3">
    <button class="btn btn-success"><a href="/customer_email_notify_inactive_all" style="color:#f0f8ff;">Hide Feature-Email Notification  to<br> All Customers</a></button>
  </div>
  <div class="col-sm-3">
    <button class="btn btn-success"><a href="/hide_free_trail" style="color:#f0f8ff;">Hide Feature-Free Trail to<br> All Customers</a></button>

  </div>

  <div class="col-sm-3">
    <button class="btn btn-success"><a href="/show_free_trail" style="color:#f0f8ff;">Show Feature-Free Trail to<br> All Customers</a></button>

  </div>


</div>
<br>




  <div class="br-pagebody">
    <!-- start you own content here -->
    
      <!-- form-layout -->

        <!-- list -->
        <div class="bd bd-gray-300 rounded table-responsive">
          <table id="example" class="table table-striped" style="width:100%">
            <thead>
              <tr>
                <th>University Name</th>
                <th>College Name</th>
                <th>Degree</th>
                <th>Semester</th>
                <th>Name</th>
                <th>Phone</th>
                <th>Email</th> 
                <th>Mailer<br>Notification</th> 
                <th>Mailer<br>Status</th> 
                <th>Purchased Course</th> 
                <th>Payment Process</th> 
                <th>Status</th> 
                <th>Action</th> 
              </tr>
            </thead>
            <tbody>
              <% var i = 0; %>
              <% details.forEach(function(details,index){ %>
              <tr>
          
                <td><%= details.name %></td>
                <td><%= details.college.name %></td>
                <td><%= details.college.degree.name %></td>
                <td><%= details.college.degree.semester.name %></td>

                <td><%= details.college.degree.semester.customer.full_name %></td>
                <td><%= details.college.degree.semester.customer.phone %></td>
                <td><%= details.college.degree.semester.customer.email %></td>
                <td>
                  <% if (details.college.degree.semester.customer.email_notify == 1) { %>
                    
                  <a href="/customer_email_notify_inactive/<%=details.college.degree.semester.customer.id%>">
                    <button
                    type="button"
                    class="btn btn-secondary"
                    title="Make Inactive"
                  >
                    <i class="fa fa-eye"></i>
                  </button>
                  </a>
                    <% } else { %>
                      
                      <a href="/customer_email_notify_active/<%=details.college.degree.semester.customer.id%>">
                        <button
                    type="button"
                    class="btn btn-secondary"
                    title="Make active"
                  >
                    <i class="fa fa-eye-slash"></i>
                  </button>
                  </a>
                      <% } %>
                  
                </td>
                <td>  <% if (details.college.degree.semester.customer.email_notify == 1) { %>
                  Enable
               <% } else { %>
               <b style='color:red;'> Block</b> 
                <% } %></td>
                <td><a href="/purchased_course_details/<%=details.college.degree.semester.customer.id %>"  target="_blank">
                  <button
                  type="button"
                  class="btn btn-secondary"
                  title="<%= details.college.degree.semester.customer.full_name %>-Purchased Course Details"
                >
                  <i class="fa fa-list text-white"></i>
                </button>
              </a></td>
              <td><a href="/payment_process_details/<%=details.college.degree.semester.customer.id %>" target="_blank">
                <button
                type="button"
                class="btn btn-secondary"
                title="<%= details.college.degree.semester.customer.full_name %>-Payment Process Details"
              >
                <i class="fa fa-list text-white"></i>
              </button>
            </a>
          </td>


                <td>
                    <% if (details.college.degree.semester.customer.active == 1) { %>
                        Active
                     <% } else { %>
                     <b style='color:red;'> Block</b> 
                      <% } %>
                  </td>



                <td>
                  <div class="btn-group" role="group" aria-label="Basic example">
                    
                    
                    <% if (details.college.degree.semester.customer.active == 1) { %>
                        <a href="/customer_block/<%=details.college.degree.semester.customer.id %>">
                      <button
                      type="button"
                      class="btn btn-secondary"
                      title="Make inactive"
                    >
                      <i class="fa fa-eye-slash"></i>
                    </button>
                  </a>
                    <% } else { %>
                      <a href="/customer_unblock/<%=details.college.degree.semester.customer.id%>">
                    <button
                    type="button"
                    class="btn btn-secondary"
                    title="Make active"
                  >
                    <i class="fa fa-eye"></i>
                  </button>
                  </a>
                  <% } %>





                  </div>
                </td>
              </tr>
              <% }); %>
            </tbody>
          </table>
        </div>



        <%-include('./shared/scripts.ejs')%>


        <script>
          $(document).ready(function() {
    $('#example').DataTable();
} );
        </script>

        <script src="https://code.jquery.com/jquery-3.5.1.js">
        </script>
<script src="https://cdn.datatables.net/1.10.25/js/jquery.dataTables.min.js">
</script>

<script src="https://cdn.datatables.net/1.10.25/js/dataTables.bootstrap5.min.js">
</script>



<%-include('./shared/footer.ejs')%>



